| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ILicenseManager Interface Reference

LicenseManager interface. More...

Inheritance diagram for LicenseSpring.ILicenseManager:

## Public Member Functions
ILicense | ActivateAirGapLicense (string confirmationCode, string policyPath, string licenseKey, uint policyId)
| Verify Confirmation code and activate air gap license using given license policy or policies.
ILicense | ActivateLicense (LicenseID licenseID)
| Activate license with given LicenseID.
ILicense | ActivateLicense (LicenseID licenseID, DeviceVariable[] deviceVariables)
| Activate license with given LicenseID and device variables.
ILicense | ActivateLicense (string data, string accountCode=null, bool useToken=false, string redirectUri=null)
| Activate license using SSO.
ILicense | ActivateLicenseOffline (string activationResponseFile=null)
| Activate provided offline activation file.
bool | ChangePassword (LicenseID licenseID, string newPassword)
| Change user password, meaningful only for user-based products.
void | ClearLocalStorage ()
| See BaseManager.ClearLocalStorage.
ILicense | CurrentLicense ()
| See BaseManager.CurrentLicense.
string | GetAirGapActivationCode (string initializationCode, string licenseKey)
| Get air gap Activation code.
string[] | GetAllSSOUrls (string accountCode=null, bool useToken=false)
| Get URL and any alternate URLs for Single Sign-On license activation.
string[] | GetAllVersions (LicenseID licenseID)
| Get all available versions for given license.
ILicenseUser[] | GetCustomerLicenseUsers (Customer customer)
| Get license users information by customer.
InstallationFile | GetInstallationFile (LicenseID licenseID, IInstallationFileOptions options=null)
| Get InstallationFile information for given license.
string | GetOfflineActivationFile (LicenseID licenseID, DeviceVariable[] deviceVariables, string activationRequestFile=null)
| Creates offline activation file request.
string | GetOfflineActivationFile (LicenseID licenseID, string activationRequestFile=null)
| Creates offline activation file request.
ProductDetails | GetProductDetails (bool includeCustomFields, bool includeLatestVersion, string env)
| Retrieve information about a product from LicenseSpring backend.
ProductDetails | GetProductDetails (bool includeCustomFields=false, bool includeLatestVersion=false)
| Retrieve information about a product from LicenseSpring backend.
string | GetSSOUrl (string accountCode=null, bool useToken=false)
| Get URL for Single Sign-On license activation.
LicenseID | GetTrialLicense (Customer user=null, string licensePolicy=null)
| Request trial license from LicenseSpring.
LicenseID | GetTrialLicense (string email)
| Request trial license from LicenseSpring platform. Overloaded method.
UserLicensesData[] | GetUserLicenses (string username, string password)
| Retrieves all licenses for the provided username and password and the product this LicenseManager is initialized for.
UserLicensesData[] | GetUserLicensesSSO (string data, bool useToken=false, string redirectUri=null)
| Get all user licenses using SSO, for the product this LicenseManager is initialized for.
void | Initialize (Configuration configuration, ILicenseStorage storage=null)
| See BaseManager.Initialize.
bool | IsInitialized ()
| See BaseManager.IsInitialized.
bool | IsOnline (bool throwExceptions=false)
| Helper method, it checks connection to the LicenseSpring backend.
string | LicenseFilePath ()
| See BaseManager.LicenseFilePath.
ILicense | RelinkLicense (DeviceIDAlgorithm deviceIdAlgorithm, string userPassword=null)
| This method helps upgrade to new device id algorithm. It deactivates current license with old device id and activate with new one. Internet connection is required.
ILicense | ReloadLicense ()
| See BaseManager.ReloadLicense.

## Properties
string | DataLocation`[get, set]`
| See BaseManager.DataLocation.
string | LicenseFileName`[get, set]`
| See BaseManager.LicenseFileName.

## Detailed Description

LicenseManager interface.

## Member Function Documentation

## ◆ ActivateAirGapLicense()

ILicense LicenseSpring.ILicenseManager.ActivateAirGapLicense | ( | string | confirmationCode,
|  | string | policyPath,
|  | string | licenseKey,
|  | uint | policyId
| ) |  |

Verify Confirmation code and activate air gap license using given license policy or policies.

Available only in .NET Framework 4.7 or greater, .NET Standard, .NET 5.0 and later versions.

Parameters

  confirmationCode | Code received from the air gap activation portal.
  policyPath | Policy file path or folder path which contains several policy files.
  licenseKey | License key.
  policyId | Id of the license policy.

Returns
  License if activation succeeded.

Exceptions

  LicenseSpring.LicenseSpringException | If feature not supported for current target Framework.
  System.InvalidOperationException | Thrown when license manager is not initialized.
  System.IO.FileNotFoundException | Thrown when provided file not found.
  LicenseSpring.SignatureMismatchException | In case signature in activation file is not valid.
  LicenseSpring.ActivationFileException | In case invalid activation file provided, check inner exception for more details.
  LicenseSpring.AirGapActivationException | In case confirmation code from the air gap activation portal is invalid.

## ◆ ActivateLicense() [1/3]

ILicense LicenseSpring.ILicenseManager.ActivateLicense | ( | LicenseID | licenseID | ) |

Activate license with given LicenseID.

Parameters

  licenseID | License ID: license key or email and password.

Returns
  License if activation successful, throws exceptions in case of errors.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseActivationException | In case something went wrong with license activation.
  LicenseSpring.LicenseDisabledException | Thrown when license is disabled.
  LicenseSpring.LicenseExpiredException | Thrown when license is expired.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.CannotBeActivatedNowException | If start_date field is set for the license and current date is behind start date.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ ActivateLicense() [2/3]

ILicense LicenseSpring.ILicenseManager.ActivateLicense | ( | LicenseID | licenseID,
|  | DeviceVariable[] | deviceVariables
| ) |  |

Activate license with given LicenseID and device variables.

Parameters

  licenseID | License ID: license key or email and password.
  deviceVariables | An array of device variables to be sent to the LicenseSpring platform during license activation.

Returns
  License if activation successful, throws exceptions in case of errors.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseActivationException | In case something went wrong with license activation.
  LicenseSpring.LicenseDisabledException | Thrown when license is disabled.
  LicenseSpring.LicenseExpiredException | Thrown when license is expired.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.CannotBeActivatedNowException | If start_date field is set for the license and current date is behind start date.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ ActivateLicense() [3/3]

ILicense LicenseSpring.ILicenseManager.ActivateLicense | ( | string | data,
|  | string | accountCode = `null`,
|  | bool | useToken = `false`,
|  | string | redirectUri = `null`
| ) |  |

Activate license using SSO.

You can omit accountCode param if you already set customer account code through the Configuration.

Parameters

  data | id_token or code you get after user authorization with SSO.
  accountCode | Customer account code.
  useToken | Whether to use id_token instead of code for activation.
  redirectUri | An optional redirect URI that needs to be sent with authentication data. The License API expects a non-empty value only when using an alternate SSO URL.

Returns
  License if activation succeeded, throws exceptions in case of errors.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized or token is empty.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseActivationException | In case something went wrong with license activation.
  LicenseSpring.LicenseDisabledException | Thrown when license is disabled.
  LicenseSpring.LicenseExpiredException | Thrown when license is expired.
  LicenseSpring.LicenseSpringException | In case customer account code is not set in Configuration and in the method parameter.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.CannotBeActivatedNowException | If start_date field is set for the license and current date is behind start date.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ ActivateLicenseOffline()

ILicense LicenseSpring.ILicenseManager.ActivateLicenseOffline | ( | string | activationResponseFile = `null` | ) |

Activate provided offline activation file.

Parameters

  activationResponseFile | Activation response file path, null means use default path (Desktop).

Returns
  License if activation succeeded.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  System.IO.FileNotFoundException | Thrown when provided file not found.
  LicenseSpring.SignatureMismatchException | In case signature in activation file is not valid.
  LicenseSpring.ActivationFileException | In case invalid activation file provided, check inner exception for more details.

Implemented in LicenseSpring.LicenseManager.

## ◆ ChangePassword()

bool LicenseSpring.ILicenseManager.ChangePassword | ( | LicenseID | licenseID,
|  | string | newPassword
| ) |  |

Change user password, meaningful only for user-based products.

Parameters

  licenseID | LicenseID: email and password.
  newPassword | New password.

Returns
  True if successfully changed and false otherwise.

Exceptions

  System.Security.Authentication.InvalidCredentialException | In case of wrong password.
  LicenseSpring.PasswordChangeNotAllowedException | If changing password is forbidden.
  LicenseSpring.MissingParametersException | If password or newPassword is empty.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetAirGapActivationCode()

string LicenseSpring.ILicenseManager.GetAirGapActivationCode | ( | string | initializationCode,
|  | string | licenseKey
| ) |  |

Get air gap Activation code.

Available only in .NET Framework 4.7 or greater, .NET Standard, .NET 5.0 and later versions.

Parameters

  initializationCode | Code received from the air gap activation portal.
  licenseKey | License key of air gap license.

Returns
  Air gap Activation code.

Exceptions

  LicenseSpring.LicenseSpringException | If feature not supported for current target Framework.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetAllSSOUrls()

string[] LicenseSpring.ILicenseManager.GetAllSSOUrls | ( | string | accountCode = `null`,
|  | bool | useToken = `false`
| ) |  |

Get URL and any alternate URLs for Single Sign-On license activation.

You can omit accountCode param if you already set customer account code through the Configuration.

Parameters

  accountCode | Customer account code.
  useToken | Boolean value indicating whether this method should create the redirect_uri with id_token instead of code.

Returns
  Array with all available URLs.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.LicenseSpringException | In case customer account code is not set in Configuration and param.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the server.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetAllVersions()

string[] LicenseSpring.ILicenseManager.GetAllVersions | ( | LicenseID | licenseID | ) |

Get all available versions for given license.

Parameters

  licenseID | License id: license key or user id.

Returns
  An array of versions available for the license.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseStateException | In case provided license is not active.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetCustomerLicenseUsers()

ILicenseUser[] LicenseSpring.ILicenseManager.GetCustomerLicenseUsers | ( | Customer | customer | ) |

Get license users information by customer.

Please note that email is required field in Customer information.

Parameters

  customer | Customer information.

Returns
  Array of license users.

Exceptions

  LicenseSpring.InvalidAuthMethodException | Thrown when this method is called for key-based product.
  LicenseSpring.CustomerNotFoundException | In case customer does not exist.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring server error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetInstallationFile()

InstallationFile LicenseSpring.ILicenseManager.GetInstallationFile | ( | LicenseID | licenseID,
|  | IInstallationFileOptions | options = `null`
| ) |  |

Get InstallationFile information for given license.

Parameters

  licenseID | License id: license key or user id.
  options | Providing InstallationFileOptions you can filter install files by channel or environment, you can also specify needed version.

This param is optional, if not provided then last available version assumed from default channel.

Returns
  InstallationFile object.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseStateException | In case provided license is not active.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetOfflineActivationFile() [1/2]

string LicenseSpring.ILicenseManager.GetOfflineActivationFile | ( | LicenseID | licenseID,
|  | DeviceVariable[] | deviceVariables,
|  | string | activationRequestFile = `null`
| ) |  |

Creates offline activation file request.

Parameters

  licenseID | License ID, license key or email and password.
  deviceVariables | An array of device variables to be sent to the LicenseSpring platform during license activation.
  activationRequestFile | Activation request file path, null means use default path (Desktop).

Returns
  Path to offline activation file request.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetOfflineActivationFile() [2/2]

string LicenseSpring.ILicenseManager.GetOfflineActivationFile | ( | LicenseID | licenseID,
|  | string | activationRequestFile = `null`
| ) |  |

Creates offline activation file request.

Parameters

  licenseID | License ID, license key or email and password.
  activationRequestFile | Activation request file path, null means use default path (Desktop).

Returns
  Path to offline activation file request.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetProductDetails() [1/2]

ProductDetails LicenseSpring.ILicenseManager.GetProductDetails | ( | bool | includeCustomFields,
|  | bool | includeLatestVersion,
|  | string | env
| ) |  |

Retrieve information about a product from LicenseSpring backend.

In offline mode data will be retrieved from license file if present.

Parameters

  includeCustomFields | Optional parameter, if true return object contains custom fields data.
  includeLatestVersion | Optional parameter, if true return object contains additional information about the latest version. Default false.
  env | Optional parameter, filters products by environment string (as defined by installation file "environment").

Returns
  Product details.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the server.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetProductDetails() [2/2]

ProductDetails LicenseSpring.ILicenseManager.GetProductDetails | ( | bool | includeCustomFields = `false`,
|  | bool | includeLatestVersion = `false`
| ) |  |

Retrieve information about a product from LicenseSpring backend.

In offline mode data will be retrieved from license file if present.

Parameters

  includeCustomFields | Optional parameter, if true return object contains custom fields data.
  includeLatestVersion | Optional parameter, if true return object contains additional information about the latest version. Default false.

Returns
  Product details.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the server.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetSSOUrl()

string LicenseSpring.ILicenseManager.GetSSOUrl | ( | string | accountCode = `null`,
|  | bool | useToken = `false`
| ) |  |

Get URL for Single Sign-On license activation.

You can omit accountCode param if you already set customer account code through the Configuration.

Parameters

  accountCode | Customer account code.
  useToken | Boolean value indicating whether this method should create the redirect_uri with id_token instead of code.

Returns
  URL for Single sign-on, with redirect_uri value being the first redirect uri in the list defined on the LicenseSpring platform for this customer account. If you want to use multiple redirect URIs, use GetAllSSOUrls(string, bool) method.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.LicenseSpringException | In case customer account code is not set in Configuration and param.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the server.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetTrialLicense() [1/2]

LicenseID LicenseSpring.ILicenseManager.GetTrialLicense | ( | Customer | user = `null`,
|  | string | licensePolicy = `null`
| ) |  |

Request trial license from LicenseSpring.

If you provide user information please note that user's email is required field.

Parameters

  user | User information. Optional param for key-based products, but required for user-based products.
  licensePolicy | License policy code. Optional param, if omited the default license policy for the product will be used.

Returns
  Trial LicenseID.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetTrialLicense() [2/2]

LicenseID LicenseSpring.ILicenseManager.GetTrialLicense | ( | string | email | ) |

Request trial license from LicenseSpring platform. Overloaded method.

Parameters

  email | User's email.

Returns
  Trial LicenseID.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetUserLicenses()

UserLicensesData[] LicenseSpring.ILicenseManager.GetUserLicenses | ( | string | username,
|  | string | password
| ) |  |

Retrieves all licenses for the provided username and password and the product this LicenseManager is initialized for.

Parameters

  username | Username of the user for whom the licenses will be retrieved.
  password | Password of the user for whom the licenses will be retrieved.

Returns
  Array of licenses and user information for each license. Returns an empty array if username or password is not provided.

Implemented in LicenseSpring.LicenseManager.

## ◆ GetUserLicensesSSO()

UserLicensesData[] LicenseSpring.ILicenseManager.GetUserLicensesSSO | ( | string | data,
|  | bool | useToken = `false`,
|  | string | redirectUri = `null`
| ) |  |

Get all user licenses using SSO, for the product this LicenseManager is initialized for.

Parameters

  data | id_token or code you get after user authorization with SSO.
  useToken | Whether to use id_token instead of code for activation.
  redirectUri | An optional redirect URI that needs to be sent with authentication data. The License API expects a non-empty value only when using an alternate SSO URL.

Returns
  Array of licenses and user information for each license. Returns an empty array if data is not provided.

Implemented in LicenseSpring.LicenseManager.

## ◆ IsOnline()

bool LicenseSpring.ILicenseManager.IsOnline | ( | bool | throwExceptions = `false` | ) |

Helper method, it checks connection to the LicenseSpring backend.

Parameters

  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.

Returns
  True if SDK is able to connect to the LicenseSpring platform and false otherwise.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.

Implemented in LicenseSpring.LicenseManager.

## ◆ RelinkLicense()

ILicense LicenseSpring.ILicenseManager.RelinkLicense | ( | DeviceIDAlgorithm | deviceIdAlgorithm,
|  | string | userPassword = `null`
| ) |  |

This method helps upgrade to new device id algorithm. It deactivates current license with old device id and activate with new one. Internet connection is required.

Local license is required to call this method. May throw exceptions the same as ActivateLicense and License.Deactivate methods.

Parameters

  deviceIdAlgorithm | Device id algorithm generation you would like to upgrade to.
  userPassword | Optional param, user password, meaningful only for user-based licenses.

Returns
  License if reactivation succeeded.

Exceptions

  System.InvalidOperationException | Thrown when there is no local license exists.
  LicenseSpring.ProductMismatchException | If license product code does not correspond to configuration product code.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.DeviceNotLicensedException | If reactivation is not possible (e.g. license copied from other device)

Implemented in LicenseSpring.LicenseManager.

The documentation for this interface was generated from the following file:

- ILicenseManager.cs